      IMPLICIT REAL*8 (D)

c===================================================================
c     NROW = number of particles in one dimension
c===================================================================

      PARAMETER (NROW = 32)


c===================================================================
c     No changes below, please !!!!!!
c===================================================================
      PARAMETER (NGRID      = NROW)         ! the grid
      PARAMETER (Nmaxpart   = NROW**3)
      PARAMETER (Np         = Nmaxpart)

      PARAMETER (MACHINE    = 0)
      ! 0 = Linux machine
      ! 1 = other type of machine...important for 'direct access' files

      PARAMETER (NPAGE=NROW**2, NMAX=NGRID/2)
      PARAMETER (NRECL= NPAGE*6, NARR =NGRID+1)
      PARAMETER (NF67=NGRID)

      COMMON / CONTROL/ AEXPN,AEXP0,AMPLT,ASTEP,ISTEP,PARTW,
     +                  TINTG,EKIN,EKIN1,EKIN2,AU0,AEU0,
     +                  NROWC,NGRIDC,Nspecies,Nseed,Om0,Oml0,hubble,Wp5
     +                  ,Ocurv,extras(100)

      CHARACTER*45      HEADER
      COMMON / HEADDR/  HEADER
      COMMON / WEIGHT/  iWeight(Np)

c--------------------------------------------------------------------------
      COMMON /FOURAR/Zf(NARR),Yf(NARR)

      COMMON /F67COM/
     +                 IBC,      IP,       ISL,     L1,     N2,
     +                 N3,       N4,        N7,
     +                 SI(NF67),    INDEX(NF67)

c--------------------------------------------------------------------------
      COMMON / ROW /	XPAR(NPAGE),YPAR(NPAGE),ZPAR(NPAGE),
     +			VX(NPAGE),VY(NPAGE),VZ(NPAGE)
      DIMENSION         RECDAT(NRECL) ,wspecies(10),lspecies(10)
      EQUIVALENCE    (RECDAT(1),XPAR(1))
     +                               ,(wspecies(1),extras(1)),
     +                               (lspecies(1),extras(11))


      parameter(RhoCrit0=2.7755e11)
